--- mouseemu-0.12.orig/Makefile
+++ mouseemu-0.12/Makefile
@@ -1,6 +1,6 @@
 all:
-	gcc -Wall -I/usr/src/linux/include -g -o mouseemu mouseemu.c
+	gcc -Wall -g -o mouseemu mouseemu.c
 clean:
 	rm -f *.o core* mouseemu
 install:
-	cp -f mouseemu /usr/sbin/
+	cp -f mouseemu $(DESTDIR)/usr/sbin/
--- mouseemu-0.12.orig/mouseemu.conf
+++ mouseemu-0.12/mouseemu.conf
@@ -0,0 +1,10 @@
+# Mouseemu Configuration File
+# Each uncommented line is read by the mouseemu initscript
+# (/etc/init.d/mouseemu). If you use mouseemu without the
+# initscript, source this file in your .bashrc/.cshrc/.zshrc
+# Keycodes can be found using the "showkey" program.
+
+#MID_CLICK="-middle 0 68"         # F10 with no modifier
+#RIGHT_CLICK="-right 0 87"        # F11 with no modifier
+#SCROLL="-scroll 56"              # Alt key
+#TYPING_BLOCK="-typing-block 300" # block mouse for 300ms after a keypress
--- mouseemu-0.12.orig/mouseemu.c
+++ mouseemu-0.12/mouseemu.c
@@ -428,7 +428,7 @@
 					"\t[-nofork]\n",
 			       argv[0]);
 			printf("Key codes can be found in "
-			       "/usr/src/linux/include/linux.h,\n"
+			       "/usr/src/linux/include/linux/input.h,\n"
 			       "or by using `showkey` in console.\n"
 			       "Use decimal values. BTN_LEFT(272) is usable as "
 			       "B2_KEY or B3_KEY.\n\n");
--- mouseemu-0.12.orig/mouseemu.init.gentoo.old
+++ mouseemu-0.12/mouseemu.init.gentoo
@@ -13,6 +13,10 @@
 
 start() {
 	ebegin "Starting mouseemu"
+	# Source configuration file /etc/mouseemu.conf
+	if [ -f /etc/mouseemu.conf ] ; then
+	        . /etc/mouseemu.conf
+	fi
 	start-stop-daemon --start --quiet \
 		--exec /usr/sbin/mouseemu -- \
 			$MID_CLICK $RIGHT_CLICK $SCROLL $TYPING_BLOCK > /var/log/mouseemu.log
